org.springframework.web.socket.sockjs.transport

## Interface SockJsSessionFactory

All Known Implementing Classes:
  AbstractHttpSendingTransportHandler, EventSourceTransportHandler, HtmlFileTransportHandler, WebSocketTransportHandler, XhrPollingTransportHandler, XhrStreamingTransportHandler

    public interface SockJsSessionFactory

A factory for creating a SockJS session. `TransportHandlers` typically also serve as SockJS session factories.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`SockJsSession` `createSession(String sessionId, WebSocketHandler handler, Map<String,Object> attributes)` Create a new SockJS session.

### Method Detail

#### createSession

    SockJsSession createSession(String sessionId,
                                WebSocketHandler handler,
                                Map<String,Object> attributes)

Create a new SockJS session.

Parameters:
  `sessionId` - the ID of the session
  `handler` - the underlying `WebSocketHandler`
  `attributes` - handshake request specific attributes
Returns:
  a new session, never `null`